public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pydata-sphinx-theme/
Date: Thu,  4 Jan 2024 17:08:49 +0000 (UTC)	[thread overview]
Message-ID: <1704387962.49305d079d2eeef7f7440d1b0a32bd2e384ebc57.mgorny@gentoo> (raw)

commit:     49305d079d2eeef7f7440d1b0a32bd2e384ebc57
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  4 16:56:44 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan  4 17:06:02 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49305d07

dev-python/pydata-sphinx-theme: Bump to 0.15.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pydata-sphinx-theme/Manifest            |  2 +
 .../pydata-sphinx-theme-0.15.1.ebuild              | 54 ++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/pydata-sphinx-theme/Manifest b/dev-python/pydata-sphinx-theme/Manifest
index 1759ef72ec2c..78839bb7bcd3 100644
--- a/dev-python/pydata-sphinx-theme/Manifest
+++ b/dev-python/pydata-sphinx-theme/Manifest
@@ -1,2 +1,4 @@
 DIST pydata-sphinx-theme-0.14.4.gh.tar.gz 2404916 BLAKE2B fda8fbcecdc5e8b315383134b3cf95753fae5cb93abe57fa032e231f3143a774bd8b8fb7a98ff8cba6384660c4df328f83d234a0e2f8b25e13cce22d0b38f219 SHA512 348a7b30065baa1bced2118060412c08471faa8b3d31b610dde6eb5e00210f8527cee7cee173e909259af1a4c9e3704316924ab282a599c805ee54078d2030a7
+DIST pydata-sphinx-theme-0.15.1.gh.tar.gz 2408417 BLAKE2B ce5f21c2f9f2b94a7fc7d907c44527459e46c735e3c7bf39966b2402acf94948d9f91941962598d61b992f33b8fde2381e8c5649e9593386572ee79712160f4f SHA512 34eccf49c69e55999e6af2797c0c861f49c43c0d014f05b200ee40cfd703abaecd90be9aaf52409556b9d5acff6238ce09040959a7a07f4dc285a6d40ecfc912
 DIST pydata_sphinx_theme-0.14.4-py3-none-any.whl 4682140 BLAKE2B 29db5217021e4f240174269fe9baa0d0f0b1e1b04213a6639d5491a002bff65e4db1468bed1de850fe0f4a8549e564db91f098fb41c4d2981b88a2fed373659c SHA512 962756e901e90f7c490905dd94703a172fb4de2628f7dc38731de75299e77a5915e93103219562a4291ad37942eee48c888faa523409e149ea31fc10dbcfdf2c
+DIST pydata_sphinx_theme-0.15.1-py3-none-any.whl 4521543 BLAKE2B c5e20e42ce2fd32a46b39037fe680c2ec6a420cc76a02dc1c391f633e3a164de28d107834add9b427e5f27afde0a86e8d32287084c10959cf444f5580a3fb231 SHA512 13ebf72548c963fa850aa2da9d73863cc4c771c7db5a5d90a18af3408f2cf3d75d908aa40c16dfe098941ec5128a0117e5c29aab3e3119715207af28e3a6f8d5

diff --git a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.15.1.ebuild b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.15.1.ebuild
new file mode 100644
index 000000000000..5436ae77e57a
--- /dev/null
+++ b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.15.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Bootstrap-based Sphinx theme from the PyData community"
+HOMEPAGE="
+	https://github.com/pydata/pydata-sphinx-theme/
+	https://pypi.org/project/pydata-sphinx-theme/
+"
+SRC_URI="
+	https://github.com/pydata/pydata-sphinx-theme/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+	$(pypi_wheel_url)
+"
+
+LICENSE="BSD-with-disclosure"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	dev-python/accessible-pygments[${PYTHON_USEDEP}]
+	dev-python/Babel[${PYTHON_USEDEP}]
+	dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+	dev-python/docutils[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/pygments[${PYTHON_USEDEP}]
+	>=dev-python/sphinx-5[${PYTHON_USEDEP}]
+	dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/pytest-regressions[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_compile() {
+	distutils_wheel_install "${BUILD_DIR}/install" \
+		"${DISTDIR}/$(pypi_wheel_name)"
+}
+
+python_test() {
+	cd "${BUILD_DIR}/install$(python_get_sitedir)/pydata_sphinx_theme" || die
+	epytest "${S}"/tests
+}


             reply	other threads:[~2024-01-04 17:08 UTC|newest]

Thread overview: 99+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-01-04 17:08 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-13  8:01 [gentoo-commits] repo/gentoo:master commit in: dev-python/pydata-sphinx-theme/ Michał Górny
2024-07-13  7:27 Arthur Zamarin
2024-06-26  2:09 Michał Górny
2024-06-12  7:42 Michał Górny
2024-06-12  6:53 Arthur Zamarin
2024-05-29  4:17 Michał Górny
2024-05-28  7:40 Michał Górny
2024-04-17  3:42 Michał Górny
2024-02-03  9:17 Michał Górny
2024-02-03  8:29 Arthur Zamarin
2024-01-19 14:44 Michał Górny
2024-01-18 18:46 Michał Górny
2024-01-18 18:23 Arthur Zamarin
2023-12-15 11:04 Michał Górny
2023-12-15 10:58 Arthur Zamarin
2023-11-27 13:09 Andrew Ammerlaan
2023-11-25 10:42 Michał Górny
2023-11-25  9:00 Arthur Zamarin
2023-10-31  7:53 Michał Górny
2023-10-26  3:12 Michał Górny
2023-10-06 16:04 Sam James
2023-09-21  5:28 Michał Górny
2023-09-15 10:11 Michał Górny
2023-09-14 11:02 Andrew Ammerlaan
2023-04-12  7:15 Michał Górny
2023-04-12  0:38 Jakov Smolić
2023-04-11 19:41 Sam James
2023-04-11 19:04 Sam James
2023-04-11 18:30 Arthur Zamarin
2023-04-11 18:27 Arthur Zamarin
2023-04-11 18:20 Arthur Zamarin
2023-04-11 18:17 Arthur Zamarin
2023-04-11 18:15 Arthur Zamarin
2023-03-31 18:05 Sam James
2023-03-31  4:32 Michał Górny
2023-03-30  2:57 Michał Górny
2023-03-19 17:36 Arthur Zamarin
2023-03-10  9:53 Arthur Zamarin
2023-03-10  9:10 Arthur Zamarin
2023-03-10  8:21 Arthur Zamarin
2023-03-10  2:00 Sam James
2023-03-10  2:00 Sam James
2023-03-10  2:00 Sam James
2023-03-10  2:00 Sam James
2023-03-10  0:35 Yixun Lan
2023-03-09 12:35 Michał Górny
2022-10-19 13:30 Michał Górny
2022-05-17 12:20 Andrew Ammerlaan
2022-03-12 12:04 Arthur Zamarin
2022-03-12 12:04 Arthur Zamarin
2022-03-12 12:04 Arthur Zamarin
2022-03-12 12:03 Arthur Zamarin
2022-03-02  9:07 Agostino Sarubbo
2022-03-01 11:28 Agostino Sarubbo
2022-02-09 14:18 Yixun Lan
2022-02-08 17:38 Arthur Zamarin
2022-02-07 11:36 Sam James
2022-02-07 11:32 Sam James
2022-02-07 11:31 Sam James
2022-02-07 11:30 Sam James
2022-02-07  8:33 Sam James
2021-12-12  8:33 Michał Górny
2021-12-12  1:49 Sam James
2021-11-10 22:35 Michał Górny
2021-11-05  5:40 Arthur Zamarin
2021-11-05  2:12 Sam James
2021-10-03  6:37 Michał Górny
2021-10-02  7:50 Michał Górny
2021-07-27 10:19 Andrew Ammerlaan
2021-06-05 21:18 Michał Górny
2021-06-05 20:35 Sam James
2021-04-28 17:47 Michał Górny
2021-04-28 17:00 Sam James
2021-04-27  7:08 Michał Górny
2021-04-17  6:22 Michał Górny
2021-04-17  6:22 Michał Górny
2021-04-10  8:04 Michał Górny
2021-04-09 12:21 Joonas Niilola
2021-04-09 12:21 Joonas Niilola
2021-03-25 13:58 Joonas Niilola
2021-03-11 22:59 Michał Górny
2021-03-02  9:00 Michał Górny
2021-03-02  7:38 Sam James
2021-02-26  8:30 Michał Górny
2021-02-26  8:09 Agostino Sarubbo
2021-01-26 21:20 Michał Górny
2021-01-23  0:11 Michał Górny
2021-01-23  0:11 Michał Górny
2020-12-22  8:07 Michał Górny
2020-12-21 22:18 Sam James
2020-12-21 19:43 Michał Górny
2020-11-17 14:21 Joonas Niilola
2020-10-19 12:16 Joonas Niilola
2020-10-18 18:51 Thomas Deutschmann
2020-10-06  9:26 Joonas Niilola
2020-09-15 18:27 Joonas Niilola
2020-09-15  8:09 Joonas Niilola
2020-09-15  8:09 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1704387962.49305d079d2eeef7f7440d1b0a32bd2e384ebc57.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox